- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CMovieButton Class Reference

a bi-states button with 2 subbitmaps More...

`#include <vstcontrols.h>`

Inheritance diagram for CMovieButton:

List of all members.

## Public Member Functions
| CMovieButton (const CRect &size, CControlListener *listener, long tag, CBitmap *background, CPoint &offset)
| CMovieButton (const CRect &size, CControlListener *listener, long tag, CCoord heightOfOneImage, CBitmap *background, CPoint &offset)
virtual | ~CMovieButton ()
virtual void | draw (CDrawContext *)
| called if the view should draw itself
virtual void | mouse (CDrawContext *pContext, CPoint &where, long button=-1)
| called if a mouse click event occurs
## Protected Attributes
CPoint | offset
CCoord | heightOfOneImage
float | buttonState

## Detailed Description

a bi-states button with 2 subbitmaps

A movie button is a bi-states button with 2 subpixmaps. These subpixmaps are stacked in the pixmap.

## Constructor & Destructor Documentation

CMovieButton::CMovieButton | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | CBitmap * | background,
|  | CPoint & | offset
| ) |

CMovieButton::CMovieButton | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | CCoord | heightOfOneImage,
|  | CBitmap * | background,
|  | CPoint & | offset
| ) |

CMovieButton::~CMovieButton | ( |  | ) | `[virtual]`

## Member Function Documentation

void CMovieButton::draw | ( | CDrawContext * |  | ) | `[virtual]`

| called if the view should draw itself Implements CControl.

void CMovieButton::mouse | ( | CDrawContext * | pContext,
|  | CPoint & | where,
|  | long | button = `-1`
| ) | `[virtual]`

| called if a mouse click event occurs Reimplemented from CView.

## Member Data Documentation

float CMovieButton::buttonState`[protected]`

CCoord CMovieButton::heightOfOneImage`[protected]`

CPoint CMovieButton::offset`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.